Fetch Audit Logs

Get audit logs for the user activity in your organisation. Please note that this endpoint can only be accessed by owner and admin role users.

Body
application/json
  • date_range
    Type: object
    required
  • activity_type
    Type: array string[] enum

    Array of activity types to filter the audit logs

    values
    • workspace_created
    • video_uploaded
    • video_details_updated
    • video_deleted
    • thumbnail_updated
  • page_number
    Type: integer
    min:  
    1
    multiple of:  
    1

    Page number of results.

  • page_size
    Type: integer
    min:  
    10
    max:  
    500

    Integer numbers.

  • user_email
    Type: array string[] Format: email

    Array of user emails to filter the activity logs.

Responses
  • application/json
Request Example for post/user/audit-log
curl https://api.gumlet.com/v1/user/audit-log \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "date_range": {
    "start_at": "2026-08-25",
    "end_at": "2026-08-29"
  }
}'
{
  "pagination": {
    "page": 1,
    "page_size": 1,
    "total_pages": 1,
    "total": 1
  },
  "data": [
    {
      "activity": "string",
      "ip": "string",
      "action_user": "string",
      "status_code": 1,
      "response_time": 1,
      "timestamp": 1,
      "source": {
        "id": "string",
        "type": "string"
      }
    }
  ]
}